PortAudio: PaStreamInfo Struct Reference

PortAudio 2.0

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Data Fields
PaStreamInfo Struct Reference

`#include <portaudio.h>`

## Data Fields
int | structVersion
PaTime | inputLatency
PaTime | outputLatency
double | sampleRate

## Detailed Description

A structure containing unchanging information about an open stream.

See Also
  Pa_GetStreamInfo

Definition at line 988 of file portaudio.h.

## Field Documentation

PaTime PaStreamInfo::inputLatency

The input latency of the stream in seconds. This value provides the most accurate estimate of input latency available to the implementation. It may differ significantly from the suggestedLatency value passed to Pa_OpenStream(). The value of this field will be zero (0.) for output-only streams.

See Also
  PaTime

Definition at line 999 of file portaudio.h.

PaTime PaStreamInfo::outputLatency

The output latency of the stream in seconds. This value provides the most accurate estimate of output latency available to the implementation. It may differ significantly from the suggestedLatency value passed to Pa_OpenStream(). The value of this field will be zero (0.) for input-only streams.

See Also
  PaTime

Definition at line 1007 of file portaudio.h.

double PaStreamInfo::sampleRate

The sample rate of the stream in Hertz (samples per second). In cases where the hardware sample rate is inaccurate and PortAudio is aware of it, the value of this field may be different from the sampleRate parameter passed to Pa_OpenStream(). If information about the actual hardware sample rate is not available, this field will have the same value as the sampleRate parameter passed to Pa_OpenStream().

Definition at line 1016 of file portaudio.h.

int PaStreamInfo::structVersion

this is struct version 1

Definition at line 991 of file portaudio.h.

The documentation for this struct was generated from the following file:

- portaudio.h